Qt 5.11 | Qt WebEngine | C++ Classes | QWebEngineDownloadItem

Qt 5.11.3 Reference Documentation

# Obsolete Members for QWebEngineDownloadItem

The following members of class QWebEngineDownloadItem are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Types

`(obsolete)` enum | DownloadType { Attachment, DownloadAttribute, UserRequested, SavePage }

## Public Functions

`(obsolete)` QWebEngineDownloadItem::DownloadType | type() const

## Member Type Documentation

### enum QWebEngineDownloadItem::DownloadType

Describes the requested download's type.

Constant | Value | Description
--- | --- | ---
`QWebEngineDownloadItem::Attachment` | `0` | The web server's response includes a `Content-Disposition` header with the `attachment` directive. If `Content-Disposition` is present in the reply, the web server is indicating that the client should prompt the user to save the content regardless of the content type. See RFC 2616 section 19.5.1 for details.
`QWebEngineDownloadItem::DownloadAttribute` | `1` | The user clicked a link with the `download` attribute.
`QWebEngineDownloadItem::UserRequested` | `2` | The user initiated the download, for example by selecting a web action.
`QWebEngineDownloadItem::SavePage` | `3` | Saving of the current page was requested (for example by the QWebEnginePage::SavePage web action).

This enum was introduced or modified in Qt 5.8.

## Member Function Documentation

### QWebEngineDownloadItem::DownloadType QWebEngineDownloadItem::type() const

Returns the requested download's type.

Note: This property works unreliably, except for `SavePage` downloads. Use isSavePageDownload() instead.

This function was introduced in Qt 5.8.